qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH] update-linux-headers.sh: Handle new kernel uapi/ di


From: Peter Maydell
Subject: [Qemu-devel] [PATCH] update-linux-headers.sh: Handle new kernel uapi/ directories
Date: Mon, 22 Oct 2012 12:54:39 +0100

Recent kernels have moved to keeping the userspace headers
in uapi/ subdirectories. This breaks the detection of whether an
architecture has KVM support in the kernel because kvm.h has
moved in the kernel source tree. Update the check to support
both the old and new locations.

Signed-off-by: Peter Maydell <address@hidden>
---
This would otherwise cause us to ignore the architectures which
have moved over to uapi/ (which for QEMU's purposes means "everything
but x86"...)

 scripts/update-linux-headers.sh |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 67be2ef..4c7b566 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -34,7 +34,8 @@ ARCHLIST=$(cd "$linux/arch" && echo *)
 
 for arch in $ARCHLIST; do
     # Discard anything which isn't a KVM-supporting architecture
-    if ! [ -e "$linux/arch/$arch/include/asm/kvm.h" ]; then
+    if ! [ -e "$linux/arch/$arch/include/asm/kvm.h" ] &&
+        ! [ -e "$linux/arch/$arch/include/uapi/asm/kvm.h" ] ; then
         continue
     fi
 
-- 
1.7.9.5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]